additionalProperties:
  formFields:
    - default: admin
      edit: true
      envKey: ADMIN_USER
      labelEn: Admin user
      labelZh: 管理员用户名
      label:
        en: Admin user
        ja: 管理者ユーザー
        ms: Pengguna Admin
        pt-br: Usuário Administrador
        ru: Администратор
        ko: 관리자 사용자
        zh: 管理员用户名
        zh-Hant: 管理員用戶名
      required: true
      type: text
    - default: photoprism
      edit: true
      envKey: ADMIN_PASSWORD
      labelEn: Admin Password
      labelZh: 管理员密码
      label:
        en: Admin Password
        ja: 管理者パスワード
        ms: Kata Laluan Admin
        pt-br: Senha do Administrador
        ru: Пароль администратора
        ko: 관리자 비밀번호
        zh: 管理员密码
        zh-Hant: 管理員密碼
      random: true
      required: true
      type: password
    - default: 2342
      edit: true
      envKey: PANEL_APP_PORT_HTTP
      labelEn: Port
      labelZh: 端口
      label:
        en: Port
        ja: ポート
        ms: Port
        pt-br: Porta
        ru: Порт
        ko: 포트
        zh: 端口
        zh-Hant: 埠
      required: true
      rule: paramPort
      type: number
    - default: http://localhost:2342/
      edit: true
      envKey: PHOTOPRISM_EXTERNAL_URL
      labelEn: External URL
      labelZh: 外部访问地址
      label:
        en: External URL
        ja: 外部URL
        ms: URL Luaran
        pt-br: URL Externa
        ru: Внешний URL
        ko: 외부 URL
        zh: 外部访问地址
        zh-Hant: 外部訪問地址
      required: true
      type: text
    - default: ""
      edit: true
      envKey: PANEL_DB_HOST
      key: mariadb
      labelEn: MariaDB Database Service
      labelZh: MariaDB 数据库服务
      label:
        en: MariaDB Database Service
        ja: MariaDB データベース サービス
        ms: Perkhidmatan Pangkalan Data MariaDB
        pt-br: Serviço de Banco de Dados MariaDB
        ru: Сервис базы данных MariaDB
        ko: MariaDB 데이터베이스 서비스
        zh: MariaDB 数据库服务
        zh-Hant: MariaDB 數據庫服務
      required: true
      type: service
    - default: photoprism
      envKey: PANEL_DB_NAME
      labelEn: Database
      labelZh: 数据库名
      label:
        en: Database
        ja: データベース
        ms: Pangkalan Data
        pt-br: Banco de Dados
        ru: База данных
        ko: 데이터베이스
        zh: 数据库名
        zh-Hant: 數據庫名
      random: true
      required: true
      rule: paramCommon
      type: text
    - default: photoprism
      envKey: PANEL_DB_USER
      labelEn: User
      labelZh: 数据库用户
      label:
        en: User
        ja: ユーザー
        ms: Pengguna
        pt-br: Usuário
        ru: Пользователь
        ko: 사용자
        zh: 数据库用户
        zh-Hant: 數據庫用戶
      random: true
      required: true
      rule: paramCommon
      type: text
    - default: photoprism
      envKey: PANEL_DB_USER_PASSWORD
      labelEn: Password
      labelZh: 数据库用户密码
      label:
        en: Password
        ja: パスワード
        ms: Kata laluan
        pt-br: Senha
        ru: Пароль
        ko: 비밀번호
        zh: 数据库用户密码
        zh-Hant: 數據庫用戶密碼
      random: true
      required: true
      type: password
    - default: 1000
      edit: true
      envKey: UID
      labelEn: UID
      labelZh: UID
      label:
        en: UID
        ja: UID
        ms: UID
        pt-br: UID
        ru: UID
        ko: UID
        zh: UID
        zh-Hant: UID
      required: true
      type: number
    - default: 1000
      edit: true
      envKey: GID
      labelEn: GID
      labelZh: GID
      label:
        en: GID
        ja: GID
        ms: GID
        pt-br: GID
        ru: GID
        ko: GID
        zh: GID
        zh-Hant: GID
      required: true
      type: number
    - default: ""
      edit: true
      envKey: SITE_DESCRIPTION
      labelEn: Site description
      labelZh: 网站描述
      label:
        en: Site description
        ja: サイトの説明
        ms: Penerangan Laman
        pt-br: Descrição do Site
        ru: Описание сайта
        ko: 사이트 설명
        zh: 网站描述
        zh-Hant: 網站描述
      required: false
      type: text
    - default: ""
      edit: true
      envKey: SITE_AUTHOR
      labelEn: Site author
      labelZh: 网站作者
      label:
        en: Site author
        ja: サイトの作者
        ms: Pengarang Laman
        pt-br: Autor do Site
        ru: Автор сайта
        ko: 사이트 작성자
        zh: 网站作者
        zh-Hant: 網站作者
      required: false
      type: text
    - default: "AI-Powered Photos App"
      edit: true
      envKey: SITE_CAPTION
      labelEn: Site caption
      labelZh: 网站标题
      label:
        en: Site caption
        ja: サイトのキャプション
        ms: Kapsyen Laman
        pt-br: Legenda do Site
        ru: Заголовок сайта
        ko: 사이트 캡션
        zh: 网站标题
        zh-Hant: 網站標題
      required: false
      type: text